Reject a swap order.
curl --request POST \
--url https://studio-api.onlytraffic.com/api/external/v1/swaps/orders/{public_id}/reject \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"comment": "<string>"
}
'import requests
url = "https://studio-api.onlytraffic.com/api/external/v1/swaps/orders/{public_id}/reject"
payload = { "comment": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>'})
};
fetch('https://studio-api.onlytraffic.com/api/external/v1/swaps/orders/{public_id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"order_id": "<string>"
}
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}{
"success": false,
"error": "validation_failed",
"message": "<string>",
"details": {},
"retry_after": 123
}Swaps
Reject Order
POST
/
swaps
/
orders
/
{public_id}
/
reject
Reject a swap order.
Authorizations
Your API key from the Studio Dashboard
Path Parameters
Resource public id. Format varies by endpoint: cplo_xxxxxxx for CPL orders, cpco_xxxxxxx for CPC orders, swpo_xxxxxxx for swap orders, cpcr_xxxxxxx for CPC creatives, revi_xxxxxxx for RevShare invoices.
Pattern:
^[a-z0-9_]+$Body
application/json
Optional rejection reason. Surfaced to the buyer.
Maximum string length:
1000Was this page helpful?
⌘I